SDL_HINT_VIDEO_METAL_AUTO_RESIZE_DRAWABLE(3)

NAME
SDL_HINT_VIDEO_METAL_AUTO_RESIZE_DRAWABLE - A variable indicating whether the metal layer drawable size should be updated for the SDL_EVENT_WINDOW_PIXEL_SIZE_CHANGED event on macOS.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_METAL_AUTO_RESIZE_DRAWABLE "SDL_VIDEO_METAL_AUTO_RESIZE_DRAWABLE"

DESCRIPTION
The variable can be set to the following values:

• "0": the metal layer drawable size will not be updated on the SDL_EVENT_WINDOW_PIXEL_SIZE_CHANGED event.

• "1": the metal layer drawable size will be updated on the SDL_EVENT_WINDOW_PIXEL_SIZE_CHANGED event. (default)

This hint should be set before SDL_Metal_CreateView called.

AVAILABILITY
This hint is available since SDL 3.4.0.